Package com.sun.mail.util

# Class DecodingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.sun.mail.util.DecodingException

All Implemented Interfaces:
  `Serializable`

public class DecodingException extends IOException
A special IOException that indicates a failure to decode data due to an error in the formatting of the data. This allows applications to distinguish decoding errors from other I/O errors.

Author:
  Bill Shannon
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DecodingException(String s)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecodingException

public DecodingException(String s)
Constructor.

Parameters:
  `s` - the exception message